#! /usr/bin/env bash

CONF_PATH=`dirname $0`

if [ -z "$BUILD_DIR_32BIT" ]; then
    BUILD_DIR_32BIT=build32
fi
if [ -z "$BUILD_DIR_64BIT" ]; then
    BUILD_DIR_64BIT=build64
fi

if [ -z "$NO_32BIT" ]; then
    if [ -z $2 ]; then
        flatpak-builder $1 --require-changes --arch=i386 "$BUILD_DIR_32BIT" "$CONF_PATH/BaseSdk-i386.yaml" || exit 1
    else
        flatpak-builder $1 --arch=i386 --gpg-sign=winebarrels@marko10-000.de "--repo=$2" "$BUILD_DIR_32BIT" "$CONF_PATH/BaseSdk-i386.yaml" || exit 1
    fi
fi
if [ -z "$NO_64BIT" ]; then
    ostree export --repo ~/.local/share/flatpak/repo runtime/org.freedesktop.Platform.Compat.i386/x86_64/18.08 > "$CONF_PATH/i386.tar" || exit 2
    if [ -z $2 ]; then
        flatpak-builder $1 --require-changes --arch=x86_64 "$BUILD_DIR_64BIT" "$CONF_PATH/BaseSdk-x86_64.yaml" || exit 2
    else
        flatpak-builder $1 --arch=x86_64 --gpg-sign=winebarrels@marko10-000.de "--repo=$2" "$BUILD_DIR_64BIT" "$CONF_PATH/BaseSdk-x86_64.yaml" || exit 2
    fi
fi
