#! /usr/bin/env bash

CONF_PATH=`dirname $0`

if [ -z "$NO_32BIT" ]; then
    if [ -z $2 ]; then
        flatpak-builder $1 --arch=i386 build32 "$CONF_PATH/Sdk-i386.yaml" || exit 1
    else
        flatpak-builder $1 --arch=i386 --gpg-sign=winebarrels@marko10-000.de "--repo=$2" build32 "$CONF_PATH/Sdk-i386.yaml" || exit 1
    fi
fi
if [ -z "$NO_64BIT" ]; then
    if [ -z $2 ]; then
        flatpak-builder $1 --arch=x86_64 build64 "$CONF_PATH/Sdk-x86_64.yaml" || exit 2
    else
        flatpak-builder $1 --arch=x86_64 --gpg-sign=winebarrels@marko10-000.de "--repo=$2" build64 "$CONF_PATH/Sdk-x86_64.yaml" || exit 2
    fi
fi
